> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.nibtravelinsurance.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.nibtravelinsurance.com/_mcp/server.

# Policy Details

GET https://api-staging.nibtravelinsurance.com/policies/v1/{brandCode}/policies/{policyNumber}/details

Reference: https://developer.nibtravelinsurance.com/reference/policies-api/policy-detail/policy-details

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `brandCode` (enum, required)
  - Allowed values: `nibau`, `nibnz`, `tidau`, `wn`
- `policyNumber` (string, required) — Policy number to retrieve details.

## Response

### 200

Success

- `list of PolicyDetailLongSummary`

## Types

### PolicyDetailLongSummary

- `policyDetailId` (long, optional, default: 0)
- `policyDetailNumber` (string, optional) — The latest Policy detail number, this is a unique identifier for each policy transaction. it ends with -\<SequenceNumber> e.g. -2 for a purchase followed by potentially an amendment.
- `status` (string, optional) — Status of the policy - For example indicating whether the policy is active or cancelled.
- `actionType` (enum, optional) — Action type of the policy transaction - Indicates last action performed on the policy.
  - Allowed values: `Purchase`, `Amendment`, `Cancellation`
- `ipAddress` (string, optional) — IP Address of the user who performed the last policy transaction.
- `ipAddressCountry` (string, optional) — Geo-location country of the IP Address of the user who performed the last policy transaction.
- `userAgent` (string, optional) — User agent of the user who performed the last policy transaction.
- `presentationTimeZoneCode` (string, optional)
- `createdAt` (string, optional) — Created date timestamp in UTC time ISO 8601 format.
- `createdLocalDateTime` (string, optional)
- `departureAt` (string, optional) — Departure date timestamp in UTC time ISO 8601 format.
- `departureLocalDateTime` (string, optional)
- `coverEndAt` (string, optional) — Cover end date timestamp in UTC time ISO 8601 format.
- `coverEndLocalDateTime` (string, optional)
- `coverDurationInDays` (long, optional, default: 0)
- `travellers` (list of TravellerShortSummary, optional) — List of travellers associated with the policy.
- `dependents` (list of DependentShortSummary, optional) — List of dependents associated with the policy.
- `address` (Address, optional) — Address information stored against the policy
- `financialSummary` (FinancialSummary, optional) — Financial summary breakdown record against the policy.
- `policyCombinedOptionLongSummary` (PolicyCombinedOptionLongSummary, optional)
- `notes` (list of PolicyNote, optional) — Notes recorded against the policy.

### TravellerShortSummary

- `travellerId` (long, optional, default: 0)
- `guid` (string, optional)
- `displayOrder` (integer, optional)
- `isPrimary` (boolean, optional, default: false)
- `title` (string, optional)
- `firstName` (string, optional)
- `surname` (string, optional)
- `age` (integer, optional)
- `emailAddress` (string, optional)
- `landLinePhoneNumber` (string, optional)
- `mobileNumber` (string, optional)
- `dateOfBirth` (LocalDate, optional)
- `travelClear` (TravelClearSummary, optional)
- `authorizationPolicy` (AuthorizationPolicy, optional)

### DependentShortSummary

- `dependentId` (long, optional, default: 0)
- `guid` (string, optional)
- `displayOrder` (integer, optional)
- `title` (string, optional)
- `firstName` (string, optional)
- `surname` (string, optional)
- `age` (integer, optional)
- `dateOfBirth` (LocalDate, optional)
- `travelClear` (TravelClearSummary, optional)

### Address

Address information stored against the policy

- `addressLine1` (string, optional)
- `addressLine2` (string, optional)
- `addressLine3` (string, optional)
- `addressLine4` (string, optional)
- `postalCode` (string, optional)
- `provinceId` (long, optional, default: 0)
- `provinceName` (string, optional)
- `countryId` (long, optional, default: 0)
- `countryName` (string, optional)

### FinancialSummary

- `policyDetailId` (long, optional, default: 0)
- `transactionAmount` (double, optional)
- `premium` (double, optional)
- `discount` (double, optional)
- `footprintsDonation` (double, optional)
- `taxes` (list of TaxSummary, optional) — Tax breakdown against the policy.

### PolicyCombinedOptionLongSummary

- `policyOptionLongSummaries` (list of PolicyOptionLongSummary, optional)
- `policySpecifiedItemOption` (PolicySpecifiedItemOptionLongSummary, optional)
- `policyAdventureActivitiesOption` (PolicyAdventureActivitiesLongSummary, optional)

### PolicyNote

- `policyNoteId` (long, optional, default: 0)
- `policyDetailId` (long, optional, default: 0)
- `noteText` (string, optional) — Latest policy note recorded against the policy.
- `userId` (long, optional, default: 0)
- `createdAt` (string, optional) — Created date timestamp in UTC time ISO 8601 format.
- `createdLocalDateTime` (string, optional)
- `policyNoteReasonId` (long, optional, default: 0)
- `policyNoteReason` (PolicyNoteReason, optional)

### LocalDate

- `calendar` (CalendarSystem, optional)
- `year` (integer, optional)
- `month` (integer, optional)
- `day` (integer, optional)
- `dayOfWeek` (enum, optional)
  - Allowed values: `None`, `Monday`, `Tuesday`, `Wednesday`, `Thursday`, `Friday`, `Saturday`, `Sunday`
- `yearOfEra` (integer, optional)
- `era` (Era, optional)
- `dayOfYear` (integer, optional)

### TravelClearSummary

- `tamisReferenceNumber` (string, optional)
- `screeningDate` (string, optional)
- `authorizedPerson` (AuthorizedPerson, optional)
- `isCovered` (boolean, optional, default: false)
- `excess` (double, optional)

### AuthorizationPolicy

- `planId` (long, optional, default: 0)
- `partnerId` (long, optional, default: 0)
- `customerUserId` (long, optional, default: 0)

### TaxSummary

- `name` (string, optional)
- `amount` (double, optional)

### PolicyOptionLongSummary

- `name` (string, optional)
- `displayOrder` (long, optional, default: 0)
- `description` (string, optional)
- `optionTypeId` (long, optional, default: 0)
- `policyOptionId` (long, optional, default: 0)
- `policyDetailId` (long, optional, default: 0)
- `planId` (long, optional, default: 0)

### PolicySpecifiedItemOptionLongSummary

- `specifiedItems` (list of SpecifiedItemShortSummary, optional)

### PolicyAdventureActivitiesLongSummary

- `adventureLevel` (string, optional)
- `adventureActivities` (list of string, optional)

### PolicyNoteReason

- `policyNoteReasonId` (long, optional, default: 0)
- `reasonText` (string, optional)
- `isActive` (boolean, optional, default: false)
- `etlAt` (string, optional)
- `etlLocalDateTime` (string, optional)
- `displayOrder` (integer, optional)
- `isDefault` (boolean, optional, default: false)

### CalendarSystem

- `id` (string, optional)
- `name` (string, optional)
- `minYear` (integer, optional)
- `maxYear` (integer, optional)
- `eras` (list of Era, optional)

### Era

- `name` (string, optional)

### AuthorizedPerson

- `firstName` (string, optional)
- `surname` (string, optional)
- `dateOfBirth` (LocalDate, optional)
- `email` (string, optional)
- `phone` (string, optional)

### SpecifiedItemShortSummary

- `name` (string, optional)
- `serialNumber` (string, optional)
- `currency` (Currency, optional)
- `itemValue` (double, optional)
- `displayItemValue` (string, optional)

### Currency

- `id` (long, optional, default: 0)
- `symbol` (string, optional)
- `code` (string, optional)
- `description` (string, optional)
- `hasMinorUnits` (boolean, optional, default: false)

## Examples

**Response**

```json
[
  {
    "policyDetailId": 1000000,
    "policyDetailNumber": "policyDetailNumber",
    "status": "Active",
    "actionType": "Purchase",
    "ipAddress": "ipAddress",
    "ipAddressCountry": "ipAddressCountry",
    "userAgent": "userAgent",
    "presentationTimeZoneCode": "presentationTimeZoneCode",
    "createdAt": "createdAt",
    "createdLocalDateTime": "createdLocalDateTime",
    "departureAt": "departureAt",
    "departureLocalDateTime": "departureLocalDateTime",
    "coverEndAt": "coverEndAt",
    "coverEndLocalDateTime": "coverEndLocalDateTime",
    "coverDurationInDays": 1000000,
    "travellers": [
      {}
    ],
    "dependents": [
      {}
    ],
    "address": {
      "addressLine1": "addressLine1",
      "addressLine2": "addressLine2",
      "addressLine3": "addressLine3",
      "addressLine4": "addressLine4",
      "postalCode": "postalCode",
      "provinceId": 1000000,
      "provinceName": "provinceName",
      "countryId": 1000000,
      "countryName": "countryName"
    },
    "financialSummary": {
      "policyDetailId": 1000000,
      "transactionAmount": 1.1,
      "premium": 1.1,
      "discount": 1.1,
      "footprintsDonation": 1.1,
      "taxes": [
        {}
      ]
    },
    "policyCombinedOptionLongSummary": {
      "policyOptionLongSummaries": [
        {}
      ]
    },
    "notes": [
      {}
    ]
  }
]
```

**SDK Code**

```python
import requests

url = "https://api-staging.nibtravelinsurance.com/policies/v1/nibau/policies/policyNumber/details"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-staging.nibtravelinsurance.com/policies/v1/nibau/policies/policyNumber/details';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-staging.nibtravelinsurance.com/policies/v1/nibau/policies/policyNumber/details"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-staging.nibtravelinsurance.com/policies/v1/nibau/policies/policyNumber/details")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-staging.nibtravelinsurance.com/policies/v1/nibau/policies/policyNumber/details")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-staging.nibtravelinsurance.com/policies/v1/nibau/policies/policyNumber/details', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-staging.nibtravelinsurance.com/policies/v1/nibau/policies/policyNumber/details");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-staging.nibtravelinsurance.com/policies/v1/nibau/policies/policyNumber/details")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```